Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.swing.factory
[Groovy] Class TitledBorderFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.SwingBorderFactory
              groovy.swing.factory.TitledBorderFactory

    class TitledBorderFactory
    extends SwingBorderFactory

The node must be called with either a value argument or a title: attribute.
The following attributes are optional.
position: one of "default", "aboveTop", "top", "belowTop", "aboveBottom", "bottom", "belowBottom", or a constant from javax.swing.border.TitledBorder justification: one of "default", "left", "center", "right", "leading", "trailing", or a constant from javax.swing.border.TitledBorder border: javax.swing.Border, some other border, if unset the look and feel default will be used (re color: java.awt.Color the color of the text for the title font: java.awt.Font the font of the text for the title

Property Summary
`static java.util.Map` | `justifications`
`static java.util.Map` | `positions`

Method Summary
`java.lang.Object` | `newInstance(FactoryBuilderSupport builder, java.lang.Object name, java.lang.Object value, java.util.Map attributes)`

Methods inherited from class SwingBorderFactory
isLeaf, onHandleNodeAttributes, setParent

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### justifications

    static final java.util.Map justifications

### positions

    static final java.util.Map positions

Method Detail

### newInstance

    java.lang.Object newInstance(FactoryBuilderSupport builder, java.lang.Object name, java.lang.Object value, java.util.Map attributes)

Groovy Documentation